Uploaded image for project: 'phpBB3'
  1. phpBB3
  2. PHPBB3-11513

Install PHPUnit via Composer's require-dev to simplify test running (no need for pear)

    Details

    • Type: Task
    • Status: Unverified Fix
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 3.0.11, 3.1.0-dev
    • Fix Version/s: 3.0.12-RC1
    • Component/s: Test Suite
    • Labels:
      None

      Description

      PHPUnit can now be installed via Composer. We should add it to require-dev so that a composer.phar install --dev installs phpunit together with other phpBB dependencies and we no longer have to explain to people how to install phpunit - which is a bit of a problem especially on windows.

        Issue Links

          Activity

          There are no comments yet on this issue.

            People

            • Assignee:
              bantu Andreas Fischer
              Reporter:
              naderman Nils Adermann
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development